org.bouncycastle.asn1.x509

## Class ExtendedKeyUsage

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.ExtendedKeyUsage

All Implemented Interfaces:
  DEREncodable

    public class ExtendedKeyUsage
    extends ASN1Encodable

The extendedKeyUsage object.

          extendedKeyUsage ::= SEQUENCE SIZE (1..MAX) OF KeyPurposeId

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedKeyUsage(ASN1Sequence seq)`
`ExtendedKeyUsage(KeyPurposeId usage)`
`ExtendedKeyUsage(java.util.Vector usages)`

### Method Summary

Methods
`static ExtendedKeyUsage` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ExtendedKeyUsage` `getInstance(java.lang.Object obj)`
`java.util.Vector` `getUsages()` Returns all extended key usages.
`boolean` `hasKeyPurposeId(KeyPurposeId keyPurposeId)`
`int` `size()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedKeyUsage

    public ExtendedKeyUsage(KeyPurposeId usage)

#### ExtendedKeyUsage

    public ExtendedKeyUsage(ASN1Sequence seq)

#### ExtendedKeyUsage

    public ExtendedKeyUsage(java.util.Vector usages)

### Method Detail

#### getInstance

    public static ExtendedKeyUsage getInstance(ASN1TaggedObject obj,
                               boolean explicit)

#### getInstance

    public static ExtendedKeyUsage getInstance(java.lang.Object obj)

#### hasKeyPurposeId

    public boolean hasKeyPurposeId(KeyPurposeId keyPurposeId)

#### getUsages

    public java.util.Vector getUsages()

Returns all extended key usages. The returned vector contains DERObjectIdentifiers.

Returns:
  A vector with all key purposes.

#### size

    public int size()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`